Bug 754523 - bluez-compat either in violation of the packaging guidelines or lacking native systemd units
bluez-compat either in violation of the packaging guidelines or lacking nativ...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: bluez (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 751869
  Show dependency treegraph
 
Reported: 2011-11-16 13:06 EST by Jóhann B. Guðmundsson
Modified: 2013-08-15 07:19 EDT (History)
4 users (show)

See Also:
Fixed In Version: bluez-5.8-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-15 07:19:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jóhann B. Guðmundsson 2011-11-16 13:06:41 EST
Description of problem:

bluez-compat is cropping up on our radar however given that it bears the name compat and bluez itself already contains native systemd units I'm a bit unsure on how to proceed here.

Either the package needs to be renamed to bluez-compat-sysvinit as stated here [1] by the packaging guidelines or we need to convert dund, pand and rfcomm to native systemd units.

How do you guys want to proceed here?

1. http://fedoraproject.org/wiki/Packaging:SysVInitScript#Initscripts_in_addition_to_systemd_unit_files
Comment 1 Bastien Nocera 2011-11-17 09:29:52 EST
Don't care. It's in -compat because they shouldn't be needed, but people still request them. I really don't care whether somebody ports them or they get removed.
Comment 2 Jóhann B. Guðmundsson 2011-11-21 08:48:37 EST
Hum perhaps it's best to hear from someone who requested it before dropping it which might be?
Comment 3 David Woodhouse 2011-11-22 06:15:15 EST
If we drop pand then /etc/sysconfig/network-scripts/ifup-bnep will want to be fixed to handle whatever replaces it.

It's also worth checking that we have a viable replacement for the pand init script which makes it run in NAP mode.

The other thing I can think of that bluez-compat still gets used for is to create a persistent mapping from /dev/rfcommX to a specific device which gets connected on demand. I have Bluetooth serial ports like this, for example. They *are* just /dev/rfcomm0 and there's no faffing to set them up.

As long as that is supported and the replacement for /etc/bluetooth/rfcomm.conf is properly documented, and PAN client/server support is supported, I think we should be able to get away with dropping bluez-compat.
Comment 4 Jóhann B. Guðmundsson 2011-11-22 08:37:49 EST
(In reply to comment #3)
> If we drop pand then /etc/sysconfig/network-scripts/ifup-bnep will want to be
> fixed to handle whatever replaces it.
> 
> It's also worth checking that we have a viable replacement for the pand init
> script which makes it run in NAP mode.

I'll see if I cant convert that to a unit

> 
> The other thing I can think of that bluez-compat still gets used for is to
> create a persistent mapping from /dev/rfcommX to a specific device which gets
> connected on demand. I have Bluetooth serial ports like this, for example. They
> *are* just /dev/rfcomm0 and there's no faffing to set them up.

Can this be handled via Udev rule which in turn triggers a unit? 

> As long as that is supported and the replacement for /etc/bluetooth/rfcomm.conf
> is properly documented, and PAN client/server support is supported, I think we
> should be able to get away with dropping bluez-compat.

Roger that let's see if I cant cook something up
Comment 5 Fedora End Of Life 2013-04-03 10:01:00 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 6 Kalev Lember 2013-08-15 07:19:46 EDT
The -compat subpackage is now gone in rawhide (F20) as part of the BlueZ 5 update. http://pkgs.fedoraproject.org/cgit/bluez.git/commit/?id=e321c716dddf55724776b8686de01cd7f45cbc4a

Note You need to log in before you can comment on or make changes to this bug.